88cef1 Remove runtime requirement of python-argparse as argparse is now in

Authored and Committed by cstratak 3 years ago
    Remove runtime requirement of python-argparse as argparse is now in
    python's stdlib and require python2 instead.
    
    Change python-ply and python-sphinx dependencies to python2-ply and
    python2-sphinx as the packages provides the python2 namespace.
    
    Some SPEC file modernization.